cancelar
Mostrando resultados para 
Pesquisar então 
Você quer dizer: 
  • ×
    Informação
    Corrija erros no Windows 10

    Resolva os problemas de atualização do Windows 10 em um PC HP – Clique aqui

  • post a message
  • ×
    Informação
    Corrija erros no Windows 10

    Resolva os problemas de atualização do Windows 10 em um PC HP – Clique aqui

  • post a message
Nota para problemas comuns em Impressoras
Se você está com problemas de IMPRESSORA EM ESTADO DE ERRO, confira o tópico: Impressora exibe mensagem de estado de erro.
Highlighted
Estudante
Estudante
Mensagem 1 de 2
1.007Exibições
Reportar Mensagem

Laserjet p1102w não reconhecida - Linux Mint

HP p1102w
Linux

Olá,

 

Tenho uma impressora p1102w há vários anos, conectada a um Desktop Linux Mint, juntamente com uma HP Envy, conectada ao mesmo computador.

Após o mais recente update do SO, a p1102w deixou de ser reconhecida pelo HPLIP e não mais imprime.

Este é o output do hp-check:

 

hp-check[3413]: info: :
hp-check[3413]: info: :[01mHP Linux Imaging and Printing System (ver. 3.19.3)[0m
hp-check[3413]: info: :[01mDependency/Version Check Utility ver. 15.1[0m
hp-check[3413]: info: :
hp-check[3413]: info: :Copyright (c) 2001-18 HP Development Company, LP
hp-check[3413]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[3413]: info: :This is free software, and you are welcome to distribute it
hp-check[3413]: info: :under certain conditions. See COPYING file for more details.
hp-check[3413]: info: :
hp-check[3413]: info: :[01mNote: hp-check can be run in three modes:[0m
hp-check[3413]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the
hp-check[3413]: info: :HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
hp-check[3413]: info: :are installed to successfully compile HPLIP.
hp-check[3413]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro
hp-check[3413]: info: :supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
hp-check[3413]: info: :has the proper dependencies installed to successfully run.
hp-check[3413]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode
hp-check[3413]: info: :will check both of the above cases (both compile- and run-time dependencies).
hp-check[3413]: info: :
hp-check[3413]: info: :Check types:
hp-check[3413]: info: :a. EXTERNALDEP - External Dependencies
hp-check[3413]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[3413]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[3413]: info: :d. [All are run-time checks]
hp-check[3413]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[3413]: info: :
hp-check[3413]: info: :Status Types:
hp-check[3413]: info: : OK
hp-check[3413]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[3413]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[3413]: info: :
hp-check[3413]: info: :
hp-check[3413]: info: :---------------
hp-check[3413]: info: 😐 SYSTEM INFO |
hp-check[3413]: info: :---------------
hp-check[3413]: info: :
hp-check[3413]: info: : Kernel: 4.15.0-47-generic #50-Ubuntu SMP Wed Mar 13 10:44:52 UTC 2019 GNU/Linux
Host: bs-office
Proc: 4.15.0-47-generic #50-Ubuntu SMP Wed Mar 13 10:44:52 UTC 2019 GNU/Linux
Distribution: 22 19.1
hp-check[3413]: info: : Bitness: 64 bit

hp-check[3413]: info: :
hp-check[3413]: info: :-----------------------
hp-check[3413]: info: 😐 HPLIP CONFIGURATION |
hp-check[3413]: info: :-----------------------
hp-check[3413]: info: :
hp-check[3413]: info: :HPLIP-Version: HPLIP 3.19.3
hp-check[3413]: info: :HPLIP-Home: /usr/share/hplip
hp-check[3413]: info: :HPLIP-Installation: Auto installation is supported for linuxmint distro 19.1 version
hp-check[3413]: info: :
hp-check[3413]: info: :[01mCurrent contents of '/etc/hp/hplip.conf' file:[0m
hp-check[3413]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.19.3

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.19.3
html=/usr/share/doc/hplip-3.19.3
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.19.3
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=no
class-driver=no

hp-check[3413]: info: :
hp-check[3413]: info: :[01mCurrent contents of '/var/lib/hp/hplip.state' file:[0m
hp-check[3413]: info: :[plugin]
installed = 1
eula = 1
version = 3.19.3


hp-check[3413]: info: :
hp-check[3413]: info: :[01mCurrent contents of '~/.hplip/hplip.conf' file:[0m
hp-check[3413]: info: :[installation]
date_time = 04/12/2019 08:34:32
version = 3.19.3

[upgrade]
notify_upgrade = true
last_upgraded_time = 1554911330
pending_upgrade_time = 0
latest_available_version = 3.17.10

[last_used]
device_uri = hp:/usb/ENVY_110_series?serial=**bleep**


hp-check[3413]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[3413]: info: :
hp-check[3413]: info: :--------------
hp-check[3413]: info: 😐 COMPILEDEP |
hp-check[3413]: info: :--------------
hp-check[3413]: info: :
hp-check[3413]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.3.0 OK -
hp-check[3413]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
hp-check[3413]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[3413]: info: :
hp-check[3413]: info: :------------------------
hp-check[3413]: info: 😐 General Dependencies |
hp-check[3413]: info: :------------------------
hp-check[3413]: info: :
hp-check[3413]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.0 OK -
hp-check[3413]: info: : python-xml Python XML libraries REQUIRED - 2.2.5 OK -
hp-check[3413]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
hp-check[3413]: info: : sane-devel SANE - Scanning library development files REQUIRED - - OK -
hp-check[3413]: info: : pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
hp-check[3413]: info: : pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 REQUIRED 4.0 4.12.1 OK -
hp-check[3413]: info: : libpthread libpthread - POSIX threads library REQUIRED - 2.27 OK -
hp-check[3413]: info: : python-devel Python devel - Python development files REQUIRED 2.2 2.7.15 OK -
hp-check[3413]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.7 OK -
hp-check[3413]: info: : python-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.6 OK -
hp-check[3413]: info: : cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
hp-check[3413]: info: : reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.4.0 OK -
hp-check[3413]: info: : pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.12.1 OK -
hp-check[3413]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[3413]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.2.7 OK -
hp-check[3413]: info: : python2X Python 2.2 or greater - Python programming language REQUIRED 2.2 2.7.15 OK -
hp-check[3413]: info: : python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[3413]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[3413]: info: : sane SANE - Scanning library REQUIRED - - OK -
hp-check[3413]: info: :
hp-check[3413]: info: :----------------------
hp-check[3413]: info: 😐 Scan Configuration |
hp-check[3413]: info: :----------------------
hp-check[3413]: info: :
hp-check[3413]: info: : scanext Scan-SANE-Extension REQUIRED - 3.19.3 OK -
hp-check[3413]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.19.3 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[3413]: info: :
hp-check[3413]: info: :-------------------------
hp-check[3413]: info: 😐 External Dependencies |
hp-check[3413]: info: :-------------------------
hp-check[3413]: info: :
hp-check[3413]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.26 OK -
hp-check[3413]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.27 OK -
hp-check[3413]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 OK 'CUPS Scheduler is running'
hp-check[3413]: info: : network network -wget OPTIONAL - 1.19.4 OK -
hp-check[3413]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[3413]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[3413]: info: : dbus DBus - Message bus system REQUIRED - 1.12.2 OK -
hp-check[3413]: info: : avahi-utils avahi-utils OPTIONAL - 0.7 OK -
hp-check[3413]: info: :
hp-check[3413]: info: :---------------------
hp-check[3413]: info: 😐 Python Extentions |
hp-check[3413]: info: :---------------------
hp-check[3413]: info: :
hp-check[3413]: info: : hpmudext IO-Extension REQUIRED - 3.19.3 OK -
hp-check[3413]: info: : cupsext CUPS-Extension REQUIRED - 3.19.3 OK -
hp-check[3413]: info: :
hp-check[3413]: info: :------------------------------
hp-check[3413]: info: 😐 DISCOVERED SCANNER DEVICES |
hp-check[3413]: info: :------------------------------
hp-check[3413]: info: :
hp-check[3413]: info: :device `hpaio:/usb/ENVY_110_series?serial=**bleep**' is a Hewlett-Packard ENVY_110_series all-in-one
device `hpaio:/usb/ENVY_110_series?serial=**bleep**' is a Hewlett-Packard ENVY_110_series all-in-one

hp-check[3413]: info: :
hp-check[3413]: info: :--------------------------
hp-check[3413]: info: 😐 DISCOVERED USB DEVICES |
hp-check[3413]: info: :--------------------------
hp-check[3413]: info: :
hp-check[3413]: info: : Device URI Model
hp-check[3413]: info: : -------------------------------- ------------------
hp-check[3413]: info: : hp:/usb/ENVY_110_series?serial=C HP ENVY 110 series
N246C20RZ05RB
hp-check[3413]: info: :
hp-check[3413]: info: :---------------------------------
hp-check[3413]: info: 😐 INSTALLED CUPS PRINTER QUEUES |
hp-check[3413]: info: :---------------------------------
hp-check[3413]: info: :
hp-check[3413]: info: :
hp-check[3413]: info: :[01mENVY_110[0m
hp-check[3413]: info: :[01m--------[0m
hp-check[3413]: info: :Type: Printer
hp-check[3413]: info: :Device URI: hp:/usb/ENVY_110_series?serial=**bleep**
hp-check[3413]: info: :PPD: /etc/cups/ppd/ENVY_110.ppd
warning: Failed to read /etc/cups/ppd/ENVY_110.ppd ppd file
hp-check[3413]: info: :PPD Description:
hp-check[3413]: info: :Printer status: printer ENVY_110 is idle. enabled since Fri 12 Apr 2019 08:34:10 AM -03
hp-check[3413]: info: :Communication status: Good
hp-check[3413]: info: :
hp-check[3413]: info: :[01mHP_LaserJet_Professional_P1102w[0m
hp-check[3413]: info: :[01m-------------------------------[0m
hp-check[3413]: info: :Type: Unknown
hp-check[3413]: info: :Device URI: usb://HP/LaserJet%20Professional%20P1102w?serial=000000000RK1AT0LPR1a
hp-check[3413]: info: :PPD: /etc/cups/ppd/HP_LaserJet_Professional_P1102w.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_Professional_P1102w.ppd ppd file
hp-check[3413]: info: :PPD Description:
hp-check[3413]: info: :Printer status: printer HP_LaserJet_Professional_P1102w is idle. enabled since Fri 12 Apr 2019 07:51:44 AM -03
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.
hp-check[3413]: info: :
hp-check[3413]: info: :
hp-check[3413]: info: :--------------
hp-check[3413]: info: 😐 PERMISSION |
hp-check[3413]: info: :--------------
hp-check[3413]: info: :
hp-check[3413]: info: :USB ENVY_110 Required - - OK Node:'/dev/bus/usb/001/005' Perm:' root lp rw- rw- rw- rw- r--'
hp-check[3413]: info: :
hp-check[3413]: info: :-----------
hp-check[3413]: info: 😐 SUMMARY |
hp-check[3413]: info: :-----------
hp-check[3413]: info: :
hp-check[3413]: info: :[01mMissing Required Dependencies[0m
hp-check[3413]: info: :[01m-----------------------------[0m
hp-check[3413]: info: :None
hp-check[3413]: info: :
hp-check[3413]: info: :[01mMissing Optional Dependencies[0m
hp-check[3413]: info: :[01m-----------------------------[0m
hp-check[3413]: info: :None

hp-check[3413]: info: :
hp-check[3413]: info: :Total Errors: 0
hp-check[3413]: info: :Total Warnings: 1
hp-check[3413]: info: :
hp-check[3413]: info: :
hp-check[3413]: info: :Done.

 

Tentei desisntalar e reinstalar várias vvezes, mas não funcionou. Agradeço qualquer ajuda.

Obrigado!

Marcas (2)
1 RESPONDER 1
Highlighted
Ex-HP
Ex-HP
Mensagem 2 de 2
980Exibições
Reportar Mensagem

Laserjet p1102w não reconhecida - Linux Mint

Olá bento-usp!

 

Talvez a versão atual do sistema não seja compatível com a impressora. Com base nas informações tem compatibilidade apenas com o 

 

Min. HPLIP Version 3.10.4 HP LaserJet Professional p1102w Printer

Veja maiores informações e suporte neste link: Impressoras Suportadas (documentação em inglês).

 

 

 

 

Eu trabalho para a HP. Se esta resposta foi útil e te ajudou a resolver o problema, por favor, clique no botão solucionado.png assim poderá ajudar outros usuários. E clique no botão para agradecer a ajuda.

twitter.png @HPSuporte  facebook-logo.png HP Suporte

Responder
0 Kudos
Nota para problemas comuns em Impressoras
Se você está com problemas de IMPRESSORA EM ESTADO DE ERRO, confira o tópico: Impressora exibe mensagem de estado de erro.
† As opiniões expressas acima são de responsabilidade exclusiva de seus autores, e não da HP. Utilizar este site significa aceitar os termos de uso e as Regras de Participação